from rpy2 import robjects


def _fit(formula):
    robjects.r('set.seed(-1)')
    print(formula.r_repr())


def fit(y_name):
    formula = robjects.Formula("%s ~ ." % y_name)
    _fit(formula)


if __name__ == '__main__':
    # calling function causes problem in garbage collector
    fit('Species')