
import numpy

import rpy2.robjects
import rpy2.robjects.numpy2ri
rpy2.robjects.conversion.py2ri = rpy2.robjects.numpy2ri.numpy2ri

r = rpy2.robjects.r

mean = numpy.ones(2)
cov = numpy.array([[1.0, 0.9], [0.9, 1.0]])

variates = numpy.random.multivariate_normal(mean, cov, size=5)

pca_loadings = r.princomp(variates).rx("loadings")

print rpy2.__version__
print numpy.__version__
print type(pca_loadings)

pca_loadings_array = numpy.array(pca_loadings)

